Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.graph
Class PluggableRendererDemo.GradientPickedEdgePaintFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.AbstractEdgePaintFunction
          edu.uci.ics.jung.graph.decorators.GradientEdgePaintFunction
              samples.graph.PluggableRendererDemo.GradientPickedEdgePaintFunction

All Implemented Interfaces:
  EdgePaintFunction

Enclosing class:
  PluggableRendererDemo

public class PluggableRendererDemo.GradientPickedEdgePaintFunction
extends GradientEdgePaintFunction

Field Summary
`protected boolean` | `fill_edge`

Fields inherited from class edu.uci.ics.jung.graph.decorators.GradientEdgePaintFunction
`c1, c2`

Fields inherited from interface edu.uci.ics.jung.graph.decorators.EdgePaintFunction
`TRANSPARENT`

Constructor Summary
`PluggableRendererDemo.GradientPickedEdgePaintFunction(EdgePaintFunction defaultEdgePaintFunction, HasGraphLayout vv, LayoutTransformer transformer, PickedInfo pi)`

Method Summary
`protected Color` | `getColor2(Edge e)` Returns `c2`.
`Paint` | `getDrawPaint(Edge e)`
`Paint` | `getFillPaint(Edge e)`
`void` | `useFill(boolean b)`

Methods inherited from class edu.uci.ics.jung.graph.decorators.GradientEdgePaintFunction
`getColor1`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fill_edge

    protected boolean fill_edge

Constructor Detail

### PluggableRendererDemo.GradientPickedEdgePaintFunction

    public PluggableRendererDemo.GradientPickedEdgePaintFunction(EdgePaintFunction defaultEdgePaintFunction,
                                                                 HasGraphLayout vv,
                                                                 LayoutTransformer transformer,
                                                                 PickedInfo pi)

Method Detail

### useFill

    public void useFill(boolean b)

### getDrawPaint

    public Paint getDrawPaint(Edge e)

  Specified by:
    `getDrawPaint` in interface `EdgePaintFunction`
  Overrides:
    `getDrawPaint` in class `GradientEdgePaintFunction`

### getColor2

    protected Color getColor2(Edge e)

  Description copied from class: `GradientEdgePaintFunction`
  Returns `c2`. Subclasses may override this method to enable more complex behavior (e.g., for picked edges).

  Overrides:
    `getColor2` in class `GradientEdgePaintFunction`

### getFillPaint

    public Paint getFillPaint(Edge e)

  Specified by:
    `getFillPaint` in interface `EdgePaintFunction`
  Overrides:
    `getFillPaint` in class `AbstractEdgePaintFunction`
  See Also:
    `EdgePaintFunction.getFillPaint(edu.uci.ics.jung.graph.Edge)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD